{
  "_args": [
    [
      {
        "raw": "uuid@^3.0.1",
        "scope": null,
        "escapedName": "uuid",
        "name": "uuid",
        "rawSpec": "^3.0.1",
        "spec": ">=3.0.1 <4.0.0",
        "type": "range"
      },
      "/build/npm-check-updates/pkg/npm-check-updates/usr/lib/node_modules/npm-check-updates/node_modules/snyk"
    ]
  ],
  "_from": "uuid@>=3.0.1 <4.0.0",
  "_id": "uuid@3.0.1",
  "_inCache": true,
  "_location": "/npm-check-updates/uuid",
  "_nodeVersion": "6.7.0",
  "_npmOperationalInternal": {
    "host": "packages-12-west.internal.npmjs.com",
    "tmp": "tmp/uuid-3.0.1.tgz_1480403886767_0.2584113120101392"
  },
  "_npmUser": {
    "name": "defunctzombie",
    "email": "shtylman@gmail.com"
  },
  "_npmVersion": "3.10.3",
  "_phantomChildren": {},
  "_requested": {
    "raw": "uuid@^3.0.1",
    "scope": null,
    "escapedName": "uuid",
    "name": "uuid",
    "rawSpec": "^3.0.1",
    "spec": ">=3.0.1 <4.0.0",
    "type": "range"
  },
  "_requiredBy": [
    "/npm-check-updates/request",
    "/npm-check-updates/snyk"
  ],
  "_resolved": "https://registry.npmjs.org/uuid/-/uuid-3.0.1.tgz",
  "_shasum": "6544bba2dfda8c1cf17e629a3a305e2bb1fee6c1",
  "_shrinkwrap": null,
  "_spec": "uuid@^3.0.1",
  "_where": "/build/npm-check-updates/pkg/npm-check-updates/usr/lib/node_modules/npm-check-updates/node_modules/snyk",
  "bin": {
    "uuid": "./bin/uuid"
  },
  "browser": {
    "./lib/rng.js": "./lib/rng-browser.js"
  },
  "bugs": {
    "url": "https://github.com/kelektiv/node-uuid/issues"
  },
  "contributors": [
    {
      "name": "Robert Kieffer",
      "email": "robert@broofa.com"
    },
    {
      "name": "Christoph Tavan",
      "email": "dev@tavan.de"
    },
    {
      "name": "AJ ONeal",
      "email": "coolaj86@gmail.com"
    },
    {
      "name": "Vincent Voyer",
      "email": "vincent@zeroload.net"
    },
    {
      "name": "Roman Shtylman",
      "email": "shtylman@gmail.com"
    }
  ],
  "dependencies": {},
  "description": "RFC4122 (v1 and v4) generator",
  "devDependencies": {
    "mocha": "3.1.2"
  },
  "directories": {},
  "dist": {
    "shasum": "6544bba2dfda8c1cf17e629a3a305e2bb1fee6c1",
    "tarball": "https://registry.npmjs.org/uuid/-/uuid-3.0.1.tgz"
  },
  "gitHead": "374de826de71d8997f71b4641f65552e48956ced",
  "homepage": "https://github.com/kelektiv/node-uuid#readme",
  "keywords": [
    "uuid",
    "guid",
    "rfc4122"
  ],
  "license": "MIT",
  "maintainers": [
    {
      "name": "broofa",
      "email": "robert@broofa.com"
    },
    {
      "name": "defunctzombie",
      "email": "shtylman@gmail.com"
    },
    {
      "name": "vvo",
      "email": "vincent.voyer@gmail.com"
    }
  ],
  "name": "uuid",
  "optionalDependencies": {},
  "readme": "# uuid [![Build Status](https://secure.travis-ci.org/kelektiv/node-uuid.svg?branch=master)](http://travis-ci.org/kelektiv/node-uuid) #\n\nSimple, fast generation of [RFC4122](http://www.ietf.org/rfc/rfc4122.txt) UUIDS.\n\nFeatures:\n\n* Generate RFC4122 version 1 or version 4 UUIDs\n* Runs in node.js and browsers\n* Cryptographically strong random number generation on supporting platforms\n* Small footprint  (Want something smaller? [Check this out](https://gist.github.com/982883)!)\n\n## Quickstart - CommonJS (Recommended)\n\n```shell\nnpm install uuid\n```\n\n```javascript\n// Generate a v1 UUID (time-based)\nconst uuidV1 = require('uuid/v1');\nuuidV1(); // -> '6c84fb90-12c4-11e1-840d-7b25c5ee775a'\n\n// Generate a v4 UUID (random)\nconst uuidV4 = require('uuid/v4');\nuuidV4(); // -> '110ec58a-a0f2-4ac4-8393-c866d813b8d1'\n```\n\n## Quickstart - Pre-packaged for browsers (Not recommended)\n\nBrowser-ready versions of this module are available via [wzrd.in](https://github.com/jfhbrook/wzrd.in).\n\n```html\n<script src=\"http://wzrd.in/standalone/uuid@latest\"></script>\n\n<script>\nuuid.v1(); // -> v1 UUID\nuuid.v4(); // -> v4 UUID\n</script>\n```\n\n(Note: Do not do this in production.  Just don't.  wzrd.in is a great service, but if you're deploying a \"real\" service you should be using a packaging tool like browserify or webpack.  If you do go this route you would be well advised to link to a specific version instead of `uuid@latest` to avoid having your code break when we roll out breaking changes.)\n\n\n## API\n\n### uuid(...)\n\nGenerate a V4 uuid. See uuid.v4 documentation below.\n\n### uuid.v1([`options` [, `buffer` [, `offset`]]])\n\nGenerate and return a RFC4122 v1 (timestamp-based) UUID.\n\n* `options` - (Object) Optional uuid state to apply. Properties may include:\n\n  * `node` - (Array) Node id as Array of 6 bytes (per 4.1.6). Default: Randomly generated ID.  See note 1.\n  * `clockseq` - (Number between 0 - 0x3fff) RFC clock sequence.  Default: An internally maintained clockseq is used.\n  * `msecs` - (Number | Date) Time in milliseconds since unix Epoch.  Default: The current time is used.\n  * `nsecs` - (Number between 0-9999) additional time, in 100-nanosecond units. Ignored if `msecs` is unspecified. Default: internal uuid counter is used, as per 4.2.1.2.\n\n* `buffer` - (Array | Buffer) Array or buffer where UUID bytes are to be written.\n* `offset` - (Number) Starting index in `buffer` at which to begin writing.\n\nReturns `buffer`, if specified, otherwise the string form of the UUID\n\nNotes:\n\n1. The randomly generated node id is only guaranteed to stay constant for the lifetime of the current JS runtime. (Future versions of this module may use persistent storage mechanisms to extend this guarantee.)\n\nExample: Generate string UUID with fully-specified options\n\n```javascript\nuuid.v1({\n  node: [0x01, 0x23, 0x45, 0x67, 0x89, 0xab],\n  clockseq: 0x1234,\n  msecs: new Date('2011-11-01').getTime(),\n  nsecs: 5678\n});   // -> \"710b962e-041c-11e1-9234-0123456789ab\"\n```\n\nExample: In-place generation of two binary IDs\n\n```javascript\n// Generate two ids in an array\nconst arr = new Array(32); // -> []\nuuid.v1(null, arr, 0);   // -> [02 a2 ce 90 14 32 11 e1 85 58 0b 48 8e 4f c1 15]\nuuid.v1(null, arr, 16);  // -> [02 a2 ce 90 14 32 11 e1 85 58 0b 48 8e 4f c1 15 02 a3 1c b0 14 32 11 e1 85 58 0b 48 8e 4f c1 15]\n```\n\n### uuid.v4([`options` [, `buffer` [, `offset`]]])\n\nGenerate and return a RFC4122 v4 UUID.\n\n* `options` - (Object) Optional uuid state to apply. Properties may include:\n\n  * `random` - (Number[16]) Array of 16 numbers (0-255) to use in place of randomly generated values\n  * `rng` - (Function) Random # generator to use.  Set to one of the built-in generators - `uuid.mathRNG` (all platforms), `uuid.nodeRNG` (node.js only), `uuid.whatwgRNG` (WebKit only) - or a custom function that returns an array[16] of byte values.\n\n* `buffer` - (Array | Buffer) Array or buffer where UUID bytes are to be written.\n* `offset` - (Number) Starting index in `buffer` at which to begin writing.\n\nReturns `buffer`, if specified, otherwise the string form of the UUID\n\nExample: Generate string UUID with fully-specified options\n\n```javascript\nuuid.v4({\n  random: [\n    0x10, 0x91, 0x56, 0xbe, 0xc4, 0xfb, 0xc1, 0xea,\n    0x71, 0xb4, 0xef, 0xe1, 0x67, 0x1c, 0x58, 0x36\n  ]\n});\n// -> \"109156be-c4fb-41ea-b1b4-efe1671c5836\"\n```\n\nExample: Generate two IDs in a single buffer\n\n```javascript\nconst buffer = new Array(32); // (or 'new Buffer' in node.js)\nuuid.v4(null, buffer, 0);\nuuid.v4(null, buffer, 16);\n```\n\n## Testing\n\n```\nnpm test\n```\n\n## Legacy node-uuid package\n\nThe code for the legacy node-uuid package is available in the `node-uuid` branch.\n",
  "readmeFilename": "README.md",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/kelektiv/node-uuid.git"
  },
  "scripts": {
    "test": "mocha test/test.js"
  },
  "version": "3.0.1"
}
